From: "Erik Mackdanz" <stasibear@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libnpupnp/
Date: Thu, 2 Mar 2023 06:14:35 +0000 (UTC) [thread overview]
Message-ID: <1677737659.2bcab0a8fb658631cf4a2cb39d655231b992db64.stasibear@gentoo> (raw)
commit: 2bcab0a8fb658631cf4a2cb39d655231b992db64
Author: Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 2 06:14:16 2023 +0000
Commit: Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Thu Mar 2 06:14:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bcab0a8
net-libs/libnpupnp: add 5.0.1
Signed-off-by: Erik Mackdanz <stasibear <AT> gentoo.org>
net-libs/libnpupnp/Manifest | 1 +
net-libs/libnpupnp/libnpupnp-5.0.1.ebuild | 48 +++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/net-libs/libnpupnp/Manifest b/net-libs/libnpupnp/Manifest
index a1548b43c5a1..b6f48618090f 100644
--- a/net-libs/libnpupnp/Manifest
+++ b/net-libs/libnpupnp/Manifest
@@ -1 +1,2 @@
DIST libnpupnp-5.0.0.tar.gz 545368 BLAKE2B a0b83186df66ff5608a7d579d3653028497ce92536ea85abc03c73134046c4f55ad31fb849c7231cf7842a424e4f408747f7da3769aae441499fd7ec7ae2544f SHA512 325be49f64d901e67aaf3893ac91f21523e81b1810c717f70a40486dde65080620ffa38f622ec785475b181f84a6d51fad89a86e709a9bd5554f278b90ae92f9
+DIST libnpupnp-5.0.1.tar.gz 553258 BLAKE2B 141967e60a4776b6470dc55d2b0736e17281c671d7f102aee9553ff48d66833ec0c97d405427161989130f6cac21c90c2663f945e6c69c317de710a08e84627a SHA512 2a8cd7c1f2bd710a9b72d69dde56b2e5094ef1b6282239377f7fd15e0a6d9f85218f5b95ec17dabc678897f2d597cf7bf800890524762488c0e6fcc315a8cef7
diff --git a/net-libs/libnpupnp/libnpupnp-5.0.1.ebuild b/net-libs/libnpupnp/libnpupnp-5.0.1.ebuild
new file mode 100644
index 000000000000..9990fede9a9f
--- /dev/null
+++ b/net-libs/libnpupnp/libnpupnp-5.0.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="A C++ base UPnP library, derived from Portable UPnP, a.k.a libupnp"
+HOMEPAGE="https://framagit.org/medoc92/npupnp"
+SRC_URI="https://www.lesbonscomptes.com/upmpdcli/downloads/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-libs/expat
+ net-libs/libmicrohttpd
+ net-misc/curl
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-client \
+ --enable-debug \
+ --enable-device \
+ --enable-gena \
+ --enable-ipv6 \
+ --enable-optssdp \
+ --enable-reuseaddr \
+ --enable-soap \
+ --enable-ssdp \
+ --enable-tools \
+ --enable-webserver
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2023-03-02 6:14 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-02 6:14 Erik Mackdanz [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-14 14:33 [gentoo-commits] repo/gentoo:master commit in: net-libs/libnpupnp/ Erik Mackdanz
2025-04-14 14:33 Erik Mackdanz
2025-03-14 19:50 Sam James
2025-02-09 4:38 Erik Mackdanz
2025-02-09 4:38 Erik Mackdanz
2024-09-28 2:36 Erik Mackdanz
2024-07-13 15:37 Erik Mackdanz
2024-07-13 15:37 Erik Mackdanz
2024-05-22 1:03 Erik Mackdanz
2024-05-22 0:53 Erik Mackdanz
2024-05-19 4:17 Erik Mackdanz
2024-05-16 3:47 Erik Mackdanz
2024-05-16 3:47 Erik Mackdanz
2024-03-16 15:09 Erik Mackdanz
2023-07-02 17:15 Erik Mackdanz
2023-07-02 17:15 Erik Mackdanz
2023-05-31 7:51 Joonas Niilola
2023-04-25 4:39 Erik Mackdanz
2023-04-08 20:05 Erik Mackdanz
2023-04-08 20:05 Erik Mackdanz
2023-01-15 21:25 Erik Mackdanz
2023-01-15 21:25 Erik Mackdanz
2022-09-25 15:51 Erik Mackdanz
2022-07-02 1:18 Erik Mackdanz
2022-07-02 1:18 Erik Mackdanz
2022-05-21 20:36 Erik Mackdanz
2022-05-21 20:36 Erik Mackdanz
2022-05-21 20:36 Erik Mackdanz
2022-03-13 14:38 Erik Mackdanz
2022-03-13 5:54 Sam James
2021-11-27 23:46 Erik Mackdanz
2021-11-27 23:45 Erik Mackdanz
2021-10-27 1:12 Erik Mackdanz
2021-08-10 13:30 Erik Mackdanz
2021-08-10 13:24 Erik Mackdanz
2021-08-03 20:52 Erik Mackdanz
2020-12-27 16:21 Erik Mackdanz
2020-12-27 16:17 Erik Mackdanz
2020-11-22 16:01 Erik Mackdanz
2020-11-21 17:54 Erik Mackdanz
2020-11-13 2:05 Erik Mackdanz
2020-11-12 16:45 Erik Mackdanz
2020-11-12 5:04 Erik Mackdanz
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1677737659.2bcab0a8fb658631cf4a2cb39d655231b992db64.stasibear@gentoo \
--to=stasibear@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox